<!--
parent:
  order: false
-->

<div align="center">
  <h1> Ethermint </h1>
</div>

![banner](docs/ethermint.jpg)

<div align="center">
  <a href="https://github.com/tharsis/ethermint/releases/latest">
    <img alt="Version" src="https://img.shields.io/github/tag/tharsis/ethermint.svg" />
  </a>
  <a href="https://github.com/tharsis/ethermint/blob/main/LICENSE">
    <img alt="License: Apache-2.0" src="https://img.shields.io/github/license/tharsis/ethermint.svg" />
  </a>
  <a href="https://pkg.go.dev/github.com/tharsis/ethermint">
    <img alt="GoDoc" src="https://godoc.org/github.com/tharsis/ethermint?status.svg" />
  </a>
  <a href="https://goreportcard.com/report/github.com/tharsis/ethermint">
    <img alt="Go report card" src="https://goreportcard.com/badge/github.com/tharsis/ethermint"/>
  </a>
  <a href="https://bestpractices.coreinfrastructure.org/projects/5018">
    <img src="https://bestpractices.coreinfrastructure.org/projects/5018/badge">
  </a>
</div>
<div align="center">
  <a href="https://discord.gg/3ZbxEq4KDu">
    <img alt="Discord" src="https://img.shields.io/discord/809048090249134080.svg" />
  </a>
  <!-- <a href="https://github.com/tharsis/ethermint/actions?query=branch%3Amain+workflow%3ABuild">
    <img alt="Build Status" src="https://github.com/tharsis/ethermint/actions/workflows/build.yml/badge.svg?branch=main" />
  </a> -->
  <a href="https://github.com/tharsis/ethermint/actions?query=branch%3Amain+workflow%3ALint">
    <img alt="Lint Status" src="https://github.com/tharsis/ethermint/actions/workflows/lint.yml/badge.svg?branch=main" />
  </a>
  <a href="https://codecov.io/gh/tharsis/ethermint">
    <img alt="Code Coverage" src="https://codecov.io/gh/tharsis/ethermint/branch/main/graph/badge.svg" />
  </a>
    <a href="https://twitter.com/ethermint">
    <img alt="Twitter Follow Ethermint" src="https://img.shields.io/twitter/follow/ethermint"/>
  </a>
</div>

Ethermint is a scalable, high-throughput Proof-of-Stake blockchain that is fully compatible and
interoperable with Ethereum. It's build using the the [Cosmos SDK](https://github.com/cosmos/cosmos-sdk/) which runs on top of [Tendermint Core](https://github.com/tendermint/tendermint) consensus engine.

**Note**: Requires [Go 1.16+](https://golang.org/dl/)

## Installation

For prerequisites and detailed build instructions please read the [Installation](https://ethermint.dev/quickstart/installation.html) instructions. Once the dependencies are installed, run:

```bash
make install
```

Or check out the latest [release](https://github.com/tharsis/ethermint/releases).

## Quick Start

To learn how the Ethermint works from a high-level perspective, go to the [Introduction](https://ethermint.dev/intro/overview.html) section from the documentation. You can also check the instructions to [Run a Node](https://ethermint.dev/quickstart/run_node.html).

For more, please refer to the [Ethermint Docs](./docs/), which are also hosted on [ethermint.dev](https://ethermint.dev/).

## Community

The following chat channels and forums are a great spot to ask questions about Ethermint:

- [Ethermint Twitter](https://twitter.com/ethermint)
- [Tharsis Twitter](https://twitter.com/ethermint)
- [Ethermint Discord](https://discord.gg/3ZbxEq4KDu)
- [Ethermint Forum](https://forum.cosmos.network/c/ethermint)

## Contributing

Looking for a good place to start contributing? Check out some [`good first issues`](https://github.com/tharsis/ethermint/issues?q=is%3Aopen+is%3Aissue+label%3A%22good+first+issue%22).

For additional instructions, standards and style guides, please refer to the [Contributing](./CONTRIBUTING.md) document.

## Careers

See our open positions on [Cosmos Jobs](https://jobs.cosmos.network/project/ethermint-d0sk1uxuh-remote/), [Notion](https://tharsis.notion.site/Jobs-at-Tharsis-5a1642eb89b34747ae6f2db2d356fc0d), or feel free to [reach out](mailto:careers@thars.is) via email.
